IDE pour HTML5 qui marque les versions précédentes de HTML

Rodger

IDE pour HTML5 qui marque les versions précédentes de HTML


J’ai essayé de trouver un éditeur HTML pour HTML5 qui signalera les balises obsolètes. Étant donné que les navigateurs doivent être rétrocompatibles, les éditeurs ne se plaignent pas si vous utilisez tt , spacer ou d’autres choses qui sont « incorrectes » – et encore moins si vous utilisez un élément sur un attribut de manière incorrecte.

Il y a quelques sites qui scanneront une page après l’avoir publiée et sortir les aspects non conformes à HTML5, mais j’espérais trouver un éditeur qui le ferait en temps réel.

Pour Windows et idéalement gratuit (évidemment) bien que je serais prêt à payer si ce n’est pas un bras et une jambe. Un bras OU une jambe serait probablement OK.

Sublime ou quelque chose de similaire serait idéal en termes de fonctionnalité s’il signalait également les aspects obsolètes / non conformes.

CAD97

WebStorm de JetBrains propose une inspection de balise obsolète, mais n’a actuellement aucun moyen de spécifier une cible HTML5: Liste des bogues

Rodger

Ce serait parfait s’ils incluaient le schéma html5 pour qu’il les signale. Je garderai certainement un œil dessus au cas où ils ajouteraient cela, j’espère qu’ils le feront.

Réponses


 Daniel

Notepad ++ avec le plugin TextFX est une solution gratuite. Le problème est que TextFX n’a ​​pas été maintenu depuis 2008 et comporte de nombreux bogues connus. Cela fonctionne toujours et est largement utilisé, les gens supportent simplement les bugs. Un autre plugin qui peut être utile est Tidy2. Ces deux plugins peuvent être trouvés ici . Je les inclue en tant qu’options gratuites car je suis conscient de leur existence, mais je ne les ai pas utilisées.

Parce que pendant des années, j’ai utilisé Adobe Dreamweaver, qui a une intégration intégrée sans faille avec W3C Validation. Vous pouvez choisir différents DOCTYPE, y compris HTML5. Bien qu’il ne mette pas spécifiquement en évidence le code incriminé, il produit un rapport détaillé directement sous votre vue de code, tel que celui-ci: entrez la description de l'image ici

Cette fonctionnalité existe depuis longtemps, vous pouvez donc probablement obtenir une version obsolète du logiciel sans avoir à vous inscrire au service d’abonnement mensuel.

Rodger

Merci! Dreamweaver est un peu hors budget pour la classe actuellement, mais ce serait parfait, cela semble. Merci!

Daniel

J’utilise Notepad ++ depuis un certain temps. Je vais installer les plugins que j’ai mentionnés ci-dessus et voir à quel point c’est efficace. Je ferai rapport dans quelques jours.

Daniel

Le plugin TextFX « Soumettre à la validation HTML du W3C » ne semble pas fonctionner (du moins sur mon ordinateur). Et le plugin Tidy2 n’a pas pu être installé. Ces deux options sont donc exclues. Cela semble être un besoin évident. Chaque codeur peut utiliser un tel outil. Il ne peut pas être trop difficile d’écrire un plugin pour Notepad ++ qui se soumettra au W3C et renverra les résultats. Peut-être que je trouverai du temps libre et examinerai la possibilité d’écrire cela …


 Doncho

Je ne suis pas au courant de l’existence d’un tel éditeur, du moins pas de nos jours (WebStorm était une bonne référence, mais il est assez ancien).

Cependant, si vous connaissez le Javascript simple, vous pouvez essayer de créer rapidement un plugin pour Visual Studio Code . Il est assez facile de créer un tel plugin (le plugin Auto Rename Tag pourrait vous donner un bon début), et la description des « Coloriseurs » pourrait également rendre le processus encore plus facile. Vous pourriez en fait regarder dans le coloriseur HTML.

Anil Natha

Qu’est-ce que l’âge de Webstrom a à voir avec sa [future] capacité à résoudre le problème OP? L’application est toujours en développement d’après ce que je vois. En fait, sa sortie la plus récente remonte à la semaine dernière, le 17 août. Juste curieux de savoir ce que vous vouliez dire par Webstorm « ancien ».

Doncho

L’âge est quelque chose que l’on doit toujours considérer lors de l’utilisation d’un nouveau produit. Je sais que cela peut sembler étrange (ne pas utiliser d’adjectif plus fort ici :)), mais c’est un fait connu. WebStorm a été initialement conçu pour résoudre différents problèmes. JetBrains est une entreprise très solide et fait du bon travail, également avec ses autres produits. Mais WebStorm n’est pas le meilleur IDE pour JS. Juste mon 2c 🙂

 

#de, #pour, HTML, html5?, IDE, Les, marque, précédentes, qui, versions

 

elle.fr

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée. Les champs obligatoires sont indiqués avec *